OpenCV: cv::MergeRobertson Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::MergeRobertson Class Referenceabstract
Computational Photography » HDR imaging

The resulting HDR image is calculated as weighted average of the exposures considering exposure values and camera response. More...

`#include "photo.hpp"`

Inheritance diagram for cv::MergeRobertson:

## Public Member Functions
virtual void | process (InputArrayOfArrays src, OutputArray dst, InputArray times, InputArray response) CV_OVERRIDE=0
| Merges images. More...
virtual void | process (InputArrayOfArrays src, OutputArray dst, InputArray times)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

The resulting HDR image is calculated as weighted average of the exposures considering exposure values and camera response.

For more information see [RB99] .

## Member Function Documentation

## ◆ process() [1/2]

virtual void cv::MergeRobertson::process | ( | InputArrayOfArrays | src,
|  | OutputArray | dst,
|  | InputArray | times,
|  | InputArray | response
| ) |  |
| pure virtual

Merges images.

Parameters

  src | vector of input images
  dst | result image
  times | vector of exposure time values for each image
  response | 256x1 matrix with inverse camera response function for each pixel value, it should have the same number of channels as images.

Implements cv::MergeExposures.

## ◆ process() [2/2]

virtual void cv::MergeRobertson::process | ( | InputArrayOfArrays | src,
|  | OutputArray | dst,
|  | InputArray | times
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- photo/include/opencv2/photo.hpp